
[tox]
envlist = py27, py35, py37

[testenv]
commands =
        pip install --upgrade pip
        pip install --upgrade setuptools wheel
        pip install --upgrade --upgrade-strategy eager rattail[auth,bouncer,db,tests]
        pytest {posargs}

[testenv:py27]
commands =
        pip install --upgrade pip
        pip install --upgrade setuptools wheel
        pip install --upgrade --upgrade-strategy eager 'rattail[auth,bouncer,db,tests]' 'sqlalchemy-utils<0.36.7' 'SQLAlchemy-Continuum<1.3.12'
        pytest {posargs}

[testenv:coverage]
basepython = python3
deps = invoke
commands =
        pip install --upgrade pip
        pip install --upgrade --upgrade-strategy eager rattail[auth,bouncer,db,tests] appy luigi xlrd
        pytest --cov=rattail --cov-report=html

[testenv:docs]
basepython = python3
changedir = docs
commands =
        pip install --upgrade pip
        pip install --upgrade --upgrade-strategy eager rattail[auth,bouncer,db,tests,docs]
        sphinx-build -b html -d {envtmpdir}/doctrees -W -T . {envtmpdir}/docs
